package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-11-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WlClxx implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 车辆信息
     */
    @TableId("ID")
    private String id;

    /**
     * 单件装备编码
     */
    @TableField("DJZBBM")
    private String djzbbm;

    /**
     * 装备名称
     */
    @TableField("ZBMC")
    private String zbmc;

    /**
     * 装备编码
     */
    @TableField("ZBBM")
    private String zbbm;

    /**
     * 上级装备编码
     */
    @TableField("SJZBBM")
    private String sjzbbm;

    /**
     * 装备类型代码
     */
    @TableField("ZBLXDM")
    private String zblxdm;

    /**
     * 单件装备状况代码
     */
    @TableField("DJZBZKDM")
    private String djzbzkdm;

    /**
     * 所属消防机构
     */
    @TableField("SSXFJGID")
    private String ssxfjgid;

    /**
     * GPS编号
     */
    @TableField("GPSBH")
    private String gpsbh;

    /**
     * 车辆等级代码
     */
    @TableField("CLDJDM")
    private String cldjdm;

    /**
     * 车牌号码
     */
    @TableField("CPHM")
    private String cphm;

    /**
     * 规格号码
     */
    @TableField("GGXH")
    private String ggxh;

    /**
     * 资产编号
     */
    @TableField("ZCBH")
    private String zcbh;

    /**
     * 参考价
     */
    @TableField("CKJ")
    private BigDecimal ckj;

    /**
     * 商标
     */
    @TableField("SB")
    private String sb;

    /**
     * 颜色
     */
    @TableField("YS")
    private String ys;

    /**
     * 国别代码
     */
    @TableField("GBDM")
    private String gbdm;

    /**
     * 生产厂家代码
     */
    @TableField("SCCJID")
    private String sccjid;

    /**
     * 生产厂家名称
     */
    @TableField("SCCJMC")
    private String sccjmc;

    /**
     * 装备日期
     */
    @TableField("ZBRQ")
    private Date zbrq;

    /**
     * 报废日期
     */
    @TableField("BFRQ")
    private Date bfrq;

    /**
     * 有效期至
     */
    @TableField("YXQZ")
    private Date yxqz;

    /**
     * 车架号
     */
    @TableField("CJH")
    private String cjh;

    /**
     * 发动机编号
     */
    @TableField("FDJBH")
    private String fdjbh;

    /**
     * 批次号
     */
    @TableField("PCH")
    private String pch;

    /**
     * 计量单位代码
     */
    @TableField("JLDWDM")
    private String jldwdm;

    /**
     * 车辆状态码_灭火
     */
    @TableField("CLZDDM_MH")
    private String clzddmMh;

    /**
     * 记录状态
     */
    private BigDecimal recordStatus;

    /**
     * 传输状态
     */
    private String tranStatus;

    /**
     * 时间戳
     */
    private Date timeStamp;

    /**
     * 备注
     */
    private String remark;

    /**
     * 电台呼号
     */
    @TableField("DTHH")
    private String dthh;

    /**
     * 处警单编号
     */
    @TableField("AJBH")
    private String ajbh;

    /**
     * 是否装配
     */
    @TableField("SFZP")
    private String sfzp;

    /**
     * 是否跨支队
     */
    private String crossDeta;

    /**
     * 是否跨总队
     */
    private String crossTeam;

    /**
     * 车辆编号
     */
    @TableField("CLBH")
    private String clbh;

    /**
     * 创建时间
     */
    @TableField("CJSJ")
    private Date cjsj;

    @TableField("CCRQ")
    private Date ccrq;

    /**
     * 车辆简称
     */
    @TableField("CLJC")
    private String cljc;

    /**
     * 电台频道
     */
    private String radioChannel;

    private String gisX;

    private String gisY;

    /**
     * 指挥员姓名
     */
    @TableField("ZHY")
    private String zhy;

    /**
     * 通信员
     */
    @TableField("TXY")
    private String txy;

    /**
     * 驾驶员
     */
    @TableField("JSY")
    private String jsy;

    /**
     * 战斗员人数
     */
    @TableField("ZDRYRS")
    private String zdryrs;

    private String zdbz;

    private String sjjsy;

    private String tczhc;

    /**
     * 类型编号
     */
    private String lxdh;

    /**
     * 启用标志
     */
    @TableField("YXX")
    private String yxx;

    /**
     * 载水(吨)
     */
    @TableField("ZS")
    private String zs;

    /**
     * 载泡(吨)
     */
    @TableField("ZP")
    private String zp;

    /**
     * 泵流量
     */
    @TableField("BLL")
    private String bll;

    /**
     * 泡流量
     */
    @TableField("PLL")
    private String pll;

    /**
     * 云梯高度
     */
    private String scalingHegiht;

    private BigDecimal ledsx;

    private String xzjgid;

    private String zldm;

    /**
     * 指挥员id
     */
    private String zhyid;

    /**
     * 通讯员id
     */
    private String txyid;

    /**
     * 驾驶员id
     */
    private String jsyid;

    /**
     * 战士人员
     */
    private String zsry;

    /**
     * 战士人员id
     */
    private String zsryid;

    private BigDecimal ledcmsx;

    private String stbll;

    private String blbz;

    private String pdabh;

    private String sfdyjg;

    private String cldtid;

    private Date bdpAudtt;

    @TableField("SJC")
    private LocalDateTime sjc;

    /**
     * 车辆状态
     */
    private String carStatus;

    /**
     * 装备类型名称
     */
    private String equipTypeName;

    /**
     * 机构名称
     */
    private String orgaName;

    /**
     * 机构简称
     */
    private String orgaDesc;

    private String jgtree;

    /**
     * 机构缩写
     */
    private String orgaAbbrevia;

    /**
     * 机构显示顺序
     */
    private Integer orgaSort;

    /**
     * 车辆最大人数限制
     */
    @TableField("standardNum")
    private BigDecimal standardNum;

    @TableField("carUrl")
    private String carUrl;

    @TableField("SJJGID")
    private String sjjgid;

    private String zhidui;

    @TableField("UPDATED")
    private Date updated;


}
